# Generated by Django 5.0.10 on 2024-12-23 03:04

import django.db.models.deletion
import taggit.managers
import utilities.json
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('extras', '0121_customfield_related_object_filter'),
    ]

    operations = [
        migrations.CreateModel(
            name='AWXServer',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False)),
                ('created', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_updated', models.DateTimeField(auto_now=True, null=True)),
                ('custom_field_data', models.JSONField(blank=True, default=dict, encoder=utilities.json.CustomFieldJSONEncoder)),
                ('name', models.CharField(max_length=255, unique=True)),
                ('protocol', models.CharField(max_length=255)),
                ('base_url', models.CharField(max_length=255, unique=True)),
                ('ssl_insecure', models.BooleanField(default=False)),
                ('user', models.CharField(max_length=255)),
                ('password', models.CharField(max_length=255)),
                ('comments', models.TextField(blank=True)),
                ('tags', taggit.managers.TaggableManager(through='extras.TaggedItem', to='extras.Tag')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='AWXTemplate',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False)),
                ('created', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_updated', models.DateTimeField(auto_now=True, null=True)),
                ('custom_field_data', models.JSONField(blank=True, default=dict, encoder=utilities.json.CustomFieldJSONEncoder)),
                ('template_name', models.CharField(max_length=255, unique=True)),
                ('template_id', models.CharField(max_length=255)),
                ('describe', models.TextField(blank=True)),
                ('comments', models.TextField(blank=True)),
                ('awx_server', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='netbox_task.awxserver')),
                ('tags', taggit.managers.TaggableManager(through='extras.TaggedItem', to='extras.Tag')),
            ],
            options={
                'unique_together': {('template_id', 'awx_server')},
            },
        ),
        migrations.CreateModel(
            name='VirtualMachineButtons',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False)),
                ('created', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_updated', models.DateTimeField(auto_now=True, null=True)),
                ('custom_field_data', models.JSONField(blank=True, default=dict, encoder=utilities.json.CustomFieldJSONEncoder)),
                ('button_name', models.CharField(max_length=255, unique=True)),
                ('extra_param', models.CharField(max_length=255)),
                ('comments', models.TextField(blank=True)),
                ('awx_template', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='netbox_task.awxtemplate')),
                ('tags', taggit.managers.TaggableManager(through='extras.TaggedItem', to='extras.Tag')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
